Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore
Class FrameCalculatorFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protege.server.framestore.FrameCalculatorFrameStore

All Implemented Interfaces:
  FrameStore

    public class FrameCalculatorFrameStore

extends FrameStoreAdapter

This class informs the frame calculator of items that the client may want cached during normal knowledge base operations. By making this a frame store we allow for the possiblity this component can be replaced depending on the application.

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`FrameCalculatorFrameStore(FrameCalculator frameCalculator)`

Method Summary
`Cls` | `createCls(FrameID id, Collection directTypes, Collection directSuperclasses, boolean loadDefaults)`
`Facet` | `createFacet(FrameID id, Collection directTypes, boolean loadDefaults)`
`SimpleInstance` | `createSimpleInstance(FrameID id, Collection directTypes, boolean loadDefaults)`
`Slot` | `createSlot(FrameID id, Collection directTypes, Collection directSuperslots, boolean loadDefaults)`
`List` | `getDirectOwnSlotValues(Frame frame, Slot slot)`
`int` | `getDirectOwnSlotValuesCount(Frame frame, Slot slot)`
`List` | `getDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet)`
`List` | `getDirectTemplateSlotValues(Cls cls, Slot slot)`
`Frame` | `getFrame(String name)`
`FrameCalculator` | `getFrameCalculator()`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, beginTransaction, commitTransaction, deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValuesClosure, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateSlots, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction, setDirectOwnSlotValues, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameCalculatorFrameStore

    public FrameCalculatorFrameStore(FrameCalculator frameCalculator)

Method Detail

### getFrameCalculator

    public FrameCalculator getFrameCalculator()

### getDirectTemplateSlotValues

    public List getDirectTemplateSlotValues(Cls cls,
                                            Slot slot)

  Specified by:
    `getDirectTemplateSlotValues` in interface `FrameStore`
  Overrides:
    `getDirectTemplateSlotValues` in class `FrameStoreAdapter`

### getDirectTemplateFacetValues

    public List getDirectTemplateFacetValues(Cls cls,
                                             Slot slot,
                                             Facet facet)

  Specified by:
    `getDirectTemplateFacetValues` in interface `FrameStore`
  Overrides:
    `getDirectTemplateFacetValues` in class `FrameStoreAdapter`

### getFrame

    public Frame getFrame(String name)

  Specified by:
    `getFrame` in interface `FrameStore`
  Overrides:
    `getFrame` in class `FrameStoreAdapter`

### getDirectOwnSlotValuesCount

    public int getDirectOwnSlotValuesCount(Frame frame,
                                           Slot slot)

  Specified by:
    `getDirectOwnSlotValuesCount` in interface `FrameStore`
  Overrides:
    `getDirectOwnSlotValuesCount` in class `FrameStoreAdapter`

### getDirectOwnSlotValues

    public List getDirectOwnSlotValues(Frame frame,
                                       Slot slot)

  Specified by:
    `getDirectOwnSlotValues` in interface `FrameStore`
  Overrides:
    `getDirectOwnSlotValues` in class `FrameStoreAdapter`

### createFacet

    public Facet createFacet(FrameID id,
                             Collection directTypes,
                             boolean loadDefaults)

  Specified by:
    `createFacet` in interface `FrameStore`
  Overrides:
    `createFacet` in class `FrameStoreAdapter`

### createSlot

    public Slot createSlot(FrameID id,
                           Collection directTypes,
                           Collection directSuperslots,
                           boolean loadDefaults)

  Specified by:
    `createSlot` in interface `FrameStore`
  Overrides:
    `createSlot` in class `FrameStoreAdapter`

### createCls

    public Cls createCls(FrameID id,
                         Collection directTypes,
                         Collection directSuperclasses,
                         boolean loadDefaults)

  Specified by:
    `createCls` in interface `FrameStore`
  Overrides:
    `createCls` in class `FrameStoreAdapter`

### createSimpleInstance

    public SimpleInstance createSimpleInstance(FrameID id,
                                               Collection directTypes,
                                               boolean loadDefaults)

  Specified by:
    `createSimpleInstance` in interface `FrameStore`
  Overrides:
    `createSimpleInstance` in class `FrameStoreAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.